#sfondo{
	background-image: url("itto.jpg"); 
	background-size: 100% 100%;
	background-repeat: no-repeat;
    background-position: right top;
	background-attachment: fixed;
		}
		
/* style all input elements with a required attribute 
box-shadow: 4px 4px 20px rgba(200, 0, 0, 0.85);
Usando 0.0 come valore alfa si ottiene un colore completamente trasparente;
usando 1.0 il colore è completamente opaco, il che equivale a non usare il canale alfa, che ha come default il valore 1.0
rgba(1000, 0, 0, 0.5)  http://digilander.libero.it/arci56/frames/tabelle/standard2.htm;
*/
input:required 
{box-shadow: 2px 2px 4px rgba(34, 40, 86, 0.5);}

/**
 * style input elements that have a required
 * attribute and a focus state
 */
input:required:focus
{border: 1px solid blue;
  outline: none;}

/**
 * style input elements that have a required
 * attribute and a hover state
 */
input:required:hover 
{opacity: 0.5;}

/* aggiunto come prova        http://www.html.it/pag/19450/colore-hsla/ 
Con ‘H’ (Hue) si definisce la tonalità.
Definita la tonalità di base (H), si può intervenire per correggerla sui valori di saturazione (S) e luminosità (L).
In entrambi i casi si usa una scala che va dallo 0% al 100%. 
Si tenga presente che impostando la luminosità al 100% si ottiene sempre il bianco, 
allo 0% sempre il nero, a prescindere dalla tonalità.
Se vogliamo rappresentare il rosso (il colore che corrisponde alla parola chiave red), scriveremo:
body {background-color: hsl(0, 100%, 50%) }

input:invalid {
  background: hsla(0, 90%, 70%, 1);
}

input:valid {
  background: hsla(100, 90%, 70%, 1);
}

body {
  padding: 3em;
}
fieldset {
 border: 0;   
}
input {
  padding: 0.25em 0;
  margin-bottom: 0.75em;
}*/


/*aggiungo in data 30-05 */
input, select, textarea { /* Stili per il campo di testo */
    color: #000; /* Colore del testo */
    height: 40px; /* Altezza */
	background-color: transparent;
    border:  1px solid blue;}
	
input:checked {
    height: 15px;
    width: 15px;
	cursor:pointer;}
	
input[type=submit] {
    padding:5px 15px; 
    background:#ccc; 
    border: 1px solid blue;
    cursor:pointer;
	height: 30px; /* Altezza */
	width: 90px;
    -webkit-border-radius: 5px;
    border-radius: 5px;}

input[type=reset] {
    padding:5px 15px; 
    background:#ccc; 
    border: 1px solid blue;
    cursor:pointer;
	height: 30px; /* Altezza */
	width: 90px;
    -webkit-border-radius: 5px;
    border-radius: 5px;}
	
input[type=checkbox]{
	border: 1px solid blue;
	cursor:pointer;
	height: 15px; /* Altezza */
	width: 15px;
	
}
	